import { DataState, FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-28 17:19
 */
export interface UserPlate {
    /**
    *
    * @type { string }
    */
    id?: string;
    /**
    * 用户id
    * @type { string }
    */
    userId?: string;
    /**
    * 车牌号
    * @type { string }
    */
    plateNo?: string;
    /**
    * 默认：0-非默认车牌，1-默认车牌
    * @type { number }
    */
    plateDefault?: number;
    /**
    * 业务状态：0-正常，1-关闭
    * @type { number }
    */
    bizStatus?: number;
    /**
    *
    * @type { string }
    */
    createUserId?: string;
    /**
    *
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 状态：0-正常，1-删除
    * @type { number }
    */
    state?: number;
}
export declare class UserPlateMI {
    static get ID(): FieldInfo;
    static get USER_ID(): FieldInfo;
    static get PLATE_NO(): FieldInfo;
    static get PLATE_DEFAULT(): FieldInfo;
    static get BIZ_STATUS(): FieldInfo;
    static get CREATE_USER_ID(): FieldInfo;
    static get UPDATE_USER_ID(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get STATE(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-28 17:19
 */
export interface TestSqlModel {
    /**
    * code
    * @type { string }
    */
    code?: string;
    /**
    * filed1
    * @type { string }
    */
    filed1?: string;
}
export declare class TestSqlModelMI {
    static get CODE(): FieldInfo;
    static get FILED1(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-28 17:19
 */
export interface PayAccount {
    /**
    *
    * @type { string }
    */
    id?: string;
    /**
    * 账户代码
    * @type { string }
    */
    code?: string;
    /**
    * 账户名称
    * @type { string }
    */
    name?: string;
    /**
    * 支付账户类型：10:境外第三方支付
    * @type { string }
    */
    actType?: string;
    /**
    * 支付方式：101:信用卡支付
    * @type { string }
    */
    payMethod?: string;
    /**
    * 账户配置信息-JSON
    * @type { string }
    */
    actConfig?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 状态：0-正常，1-删除
    * @type { number }
    */
    state?: number;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 交易币种
    * @type { string }
    */
    currencyCode?: string;
}
export declare class PayAccountMI {
    static get ID(): FieldInfo;
    static get CODE(): FieldInfo;
    static get NAME(): FieldInfo;
    static get ACT_TYPE(): FieldInfo;
    static get PAY_METHOD(): FieldInfo;
    static get ACT_CONFIG(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get STATE(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get CURRENCY_CODE(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-28 17:19
 */
export interface TelephoneArea {
    /**
    *
    * @type { string }
    */
    id?: string;
    /**
    * 区域名称
    * @type { string }
    */
    areaName?: string;
    /**
    * 手机区域号
    * @type { string }
    */
    areaCode?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 0-正常，1-删除
    * @type { number }
    */
    state?: number;
}
export declare class TelephoneAreaMI {
    static get ID(): FieldInfo;
    static get AREA_NAME(): FieldInfo;
    static get AREA_CODE(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get STATE(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-28 17:19
 */
export interface PayConfig {
    /**
    *
    * @type { string }
    */
    id?: string;
    /**
    * 配置名称
    * @type { string }
    */
    name?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 状态：0-正常，1-删除
    * @type { number }
    */
    state?: number;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 子表 PayConfigAccount
    * @type { PayConfigAccount[] }
    */
    payConfigAccount?: PayConfigAccount[];
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class PayConfigMI {
    static get ID(): FieldInfo;
    static get NAME(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get STATE(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-28 17:19
 */
export interface PayConfigAccount {
    /**
    *
    * @type { string }
    */
    id?: string;
    /**
    * 支付账户ID
    * @type { string }
    */
    accountId?: string;
    /**
    * 支付配置ID
    * @type { string }
    */
    payConfigId?: string;
    /**
    * 状态：0-正常，1-删除
    * @type { number }
    */
    state?: number;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 子表 PayAccount
    * @type { PayAccount[] }
    */
    payAccount?: PayAccount[];
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class PayConfigAccountMI {
    static get ID(): FieldInfo;
    static get ACCOUNT_ID(): FieldInfo;
    static get PAY_CONFIG_ID(): FieldInfo;
    static get STATE(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-28 17:19
 */
export interface PayParkConfig {
    /**
    *
    * @type { string }
    */
    id?: string;
    /**
    * 车场ID
    * @type { number }
    */
    parkId?: number;
    /**
    * 支付配置ID
    * @type { string }
    */
    payConfigId?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 状态：0-正常，1-删除
    * @type { number }
    */
    state?: number;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 子表 PayConfig
    * @type { PayConfig[] }
    */
    payConfig?: PayConfig[];
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class PayParkConfigMI {
    static get ID(): FieldInfo;
    static get PARK_ID(): FieldInfo;
    static get PAY_CONFIG_ID(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get STATE(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-28 17:19
 */
export interface PayTrade {
    /**
    *
    * @type { string }
    */
    id?: string;
    /**
    * 分类 00：临停，01:月卡
    * @type { string }
    */
    category?: string;
    /**
    * 内部订单号
    * @type { string }
    */
    innerOrderNo?: string;
    /**
    * 交易表ID
    * @type { string }
    */
    outOrderNo?: string;
    /**
    * 渠道交易号
    * @type { string }
    */
    chOrderNo?: string;
    /**
    * 交易总金额(分)
    * @type { number }
    */
    totalAmount?: number;
    /**
    * 支付配置ID
    * @type { string }
    */
    payConfigId?: string;
    /**
    * 支付账户配置ID
    * @type { string }
    */
    payAccountId?: string;
    /**
    * 支付账户类型：10:境外第三方支付
    * @type { string }
    */
    payAccountType?: string;
    /**
    * 支付方式：101:信用卡支付
    * @type { string }
    */
    payMethod?: string;
    /**
    * 支付超时时间
    * @type { Date }
    */
    payTimeExpire?: Date;
    /**
    * 下单时间
    * @type { Date }
    */
    prepayTime?: Date;
    /**
    * 支付完成时间
    * @type { Date }
    */
    paidTime?: Date;
    /**
    * 币种代码ISO-4217
    * @type { string }
    */
    currencyCode?: string;
    /**
    * 订单标题
    * @type { string }
    */
    orderTitle?: string;
    /**
    * 订单描述
    * @type { string }
    */
    orderDesc?: string;
    /**
    * 支付状态,0:支付成功，1：支付失败，2：待支付，3：支付中，4：支付超时
    * @type { number }
    */
    payStatus?: number;
    /**
    * 渠道支付返回代码
    * @type { string }
    */
    payRepCode?: string;
    /**
    * 渠道支付返回信息
    * @type { string }
    */
    payRepMsg?: string;
    /**
    * 业务状态 0:已同步,1:未同步
    * @type { number }
    */
    bizStatus?: number;
    /**
    * 发卡行
    * @type { string }
    */
    issuingBank?: string;
    /**
    * 扩展字段信息-JSON
    * @type { string }
    */
    extJson?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 状态：0-正常，1-删除
    * @type { number }
    */
    state?: number;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 前端通知地址
    * @type { string }
    */
    returnUrl?: string;
    /**
    * 顾客姓名
    * @type { string }
    */
    custName?: string;
    /**
    * 顾客手机
    * @type { string }
    */
    custPhone?: string;
    /**
    * 顾客邮箱地址
    * @type { string }
    */
    custEmail?: string;
    /**
    * 状态同步类型 QUERY：查询，CALLBACK:回调
    * @type { string }
    */
    syncMethod?: string;
}
export declare class PayTradeMI {
    static get ID(): FieldInfo;
    static get CATEGORY(): FieldInfo;
    static get INNER_ORDER_NO(): FieldInfo;
    static get OUT_ORDER_NO(): FieldInfo;
    static get CH_ORDER_NO(): FieldInfo;
    static get TOTAL_AMOUNT(): FieldInfo;
    static get PAY_CONFIG_ID(): FieldInfo;
    static get PAY_ACCOUNT_ID(): FieldInfo;
    static get PAY_ACCOUNT_TYPE(): FieldInfo;
    static get PAY_METHOD(): FieldInfo;
    static get PAY_TIME_EXPIRE(): FieldInfo;
    static get PREPAY_TIME(): FieldInfo;
    static get PAID_TIME(): FieldInfo;
    static get CURRENCY_CODE(): FieldInfo;
    static get ORDER_TITLE(): FieldInfo;
    static get ORDER_DESC(): FieldInfo;
    static get PAY_STATUS(): FieldInfo;
    static get PAY_REP_CODE(): FieldInfo;
    static get PAY_REP_MSG(): FieldInfo;
    static get BIZ_STATUS(): FieldInfo;
    static get ISSUING_BANK(): FieldInfo;
    static get EXT_JSON(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get STATE(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get RETURN_URL(): FieldInfo;
    static get CUST_NAME(): FieldInfo;
    static get CUST_PHONE(): FieldInfo;
    static get CUST_EMAIL(): FieldInfo;
    static get SYNC_METHOD(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-28 17:19
 */
export interface CpMonthlyCardOrder {
    /**
    *
    * @type { string }
    */
    id?: string;
    /**
    * 订单号
    * @type { string }
    */
    orderNo?: string;
    /**
    * 用户ID
    * @type { string }
    */
    userId?: string;
    /**
    * 交易表ID
    * @type { string }
    */
    tradeId?: string;
    /**
    * 车场ID
    * @type { number }
    */
    parkId?: number;
    /**
    * 车牌号
    * @type { string }
    */
    carPlateNum?: string;
    /**
    * 充值类型(0 钱(单位:分),1 月,2 天,3 小时,4次)
    * @type { number }
    */
    rechargeType?: number;
    /**
    * 规则名称
    * @type { string }
    */
    ruleName?: string;
    /**
    * 赠送额度(单位:分)
    * @type { string }
    */
    sentAmount?: string;
    /**
    * 赠送类型(0 钱(单位:分),1 月,2 天,3 小时,4次)
    * @type { string }
    */
    sentType?: string;
    /**
    * 充值数额
    * @type { number }
    */
    rechargeAmount?: number;
    /**
    * 充值单位
    * @type { string }
    */
    rechargeUnit?: string;
    /**
    * 充值车的充值月数或天数或次数
    * @type { number }
    */
    chargeNumber?: number;
    /**
    * 应付金额（分）
    * @type { number }
    */
    payableAmount?: number;
    /**
    * 支付状态,0:支付成功，1：支付失败，2：待支付，3：支付中，4：支付超时
    * @type { number }
    */
    payStatus?: number;
    /**
    * 业务状态 0:已同步,1:未同步
    * @type { number }
    */
    bizStatus?: number;
    /**
    * 扩展字段信息-JSON
    * @type { string }
    */
    extJson?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 状态：0-正常，1-删除
    * @type { number }
    */
    state?: number;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 月卡id
    * @type { number }
    */
    cardId?: number;
    /**
    * 月卡类型
    * @type { number }
    */
    carType?: number;
    /**
    * 规则id
    * @type { number }
    */
    ruleId?: number;
    /**
    *
    * @type { string }
    */
    parkName?: string;
    /**
    * 订单标题
    * @type { string }
    */
    orderTitle?: string;
    /**
    * 内部订单号
    * @type { string }
    */
    parkOrderNo?: string;
    /**
    *
    * @type { string }
    */
    outOrderNo?: string;
    /**
    * 异常信息
    * @type { string }
    */
    errorInfo?: string;
    /**
    * 支付时间
    * @type { Date }
    */
    payTime?: Date;
}
export declare class CpMonthlyCardOrderMI {
    static get ID(): FieldInfo;
    static get ORDER_NO(): FieldInfo;
    static get USER_ID(): FieldInfo;
    static get TRADE_ID(): FieldInfo;
    static get PARK_ID(): FieldInfo;
    static get CAR_PLATE_NUM(): FieldInfo;
    static get RECHARGE_TYPE(): FieldInfo;
    static get RULE_NAME(): FieldInfo;
    static get SENT_AMOUNT(): FieldInfo;
    static get SENT_TYPE(): FieldInfo;
    static get RECHARGE_AMOUNT(): FieldInfo;
    static get RECHARGE_UNIT(): FieldInfo;
    static get CHARGE_NUMBER(): FieldInfo;
    static get PAYABLE_AMOUNT(): FieldInfo;
    static get PAY_STATUS(): FieldInfo;
    static get BIZ_STATUS(): FieldInfo;
    static get EXT_JSON(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get STATE(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get CARD_ID(): FieldInfo;
    static get CAR_TYPE(): FieldInfo;
    static get RULE_ID(): FieldInfo;
    static get PARK_NAME(): FieldInfo;
    static get ORDER_TITLE(): FieldInfo;
    static get PARK_ORDER_NO(): FieldInfo;
    static get OUT_ORDER_NO(): FieldInfo;
    static get ERROR_INFO(): FieldInfo;
    static get PAY_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-28 17:19
 */
export interface CpOrder {
    /**
    *
    * @type { string }
    */
    id?: string;
    /**
    * 车主用户ID
    * @type { string }
    */
    userId?: string;
    /**
    * 内部订单号
    * @type { string }
    */
    orderNo?: string;
    /**
    * 交易表ID
    * @type { string }
    */
    tradeId?: string;
    /**
    * 车场订单号
    * @type { string }
    */
    parkOrderNo?: string;
    /**
    * 车场ID
    * @type { number }
    */
    parkId?: number;
    /**
    * 车牌号
    * @type { string }
    */
    plateNo?: string;
    /**
    * 无牌车入场卡号
    * @type { string }
    */
    cardNo?: string;
    /**
    * 出场设备号
    * @type { string }
    */
    parkName?: string;
    /**
    * 入场时间yyyy-MM-dd HH:mm:ss
    * @type { string }
    */
    entryTime?: string;
    /**
    * 出场时间yyyy-MM-dd HH:mm:ss
    * @type { string }
    */
    payTime?: string;
    /**
    * 计费时长
    * @type { number }
    */
    elapsedTime?: number;
    /**
    * 车场计费总金额(分)
    * @type { number }
    */
    totalAmount?: number;
    /**
    * 本次应付金额（减去优惠金额）,单位为分
    * @type { number }
    */
    payable?: number;
    /**
    * 收费后允许延时出场的时间限制（分钟），默认：20分钟
    * @type { number }
    */
    delayTime?: number;
    /**
    * 停车入场图片
    * @type { string }
    */
    imgName?: string;
    /**
    * 图片信息类型：2=图片URL（可公网访问地址）
    * @type { number }
    */
    imgType?: number;
    /**
    * 图片URL
    * @type { string }
    */
    imgInfo?: string;
    /**
    * 固定车类型  详见参数枚举 1.6.2
    * @type { number }
    */
    carType?: number;
    /**
    * 车辆类型 详见参数枚举1.6.8
    * @type { number }
    */
    carStyle?: number;
    /**
    * 币种代码ISO-4217
    * @type { string }
    */
    currencyCode?: string;
    /**
    * 订单标题
    * @type { string }
    */
    orderTitle?: string;
    /**
    * 订单描述
    * @type { string }
    */
    orderDesc?: string;
    /**
    * 出入场唯一记录ID（v6.x有这个参数，v5.x没有）
    * @type { string }
    */
    trafficId?: string;
    /**
    * 支付状态,0:支付成功，1：支付失败，2：待支付，3：支付中，4：支付超时
    * @type { number }
    */
    payStatus?: number;
    /**
    * 业务状态 0:已同步,1:未同步
    * @type { number }
    */
    bizStatus?: number;
    /**
    * 扩展字段信息-JSON
    * @type { string }
    */
    extJson?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 状态：0-正常，1-删除
    * @type { number }
    */
    state?: number;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 优惠总金额（单位:分）线上优惠总金额，免费金额+ 免费时长抵扣的金额（只需计算即可，不需在停车费中减免）
    * @type { number }
    */
    deductionAmount?: number;
    /**
    * 已经支付过的金额（单位:分） 线上已经支付的金额+线下已经支付的金额+线下优惠
    * @type { number }
    */
    paidAmount?: number;
    /**
    * 第三方支付的外部订单号
    * @type { string }
    */
    outOrderNo?: string;
    /**
    * 异常信息
    * @type { string }
    */
    errorInfo?: string;
    /**
    * extend field in ParkingLot
    *
    * @type { string }
    */
    lotName?: string;
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class CpOrderMI {
    static get ID(): FieldInfo;
    static get USER_ID(): FieldInfo;
    static get ORDER_NO(): FieldInfo;
    static get TRADE_ID(): FieldInfo;
    static get PARK_ORDER_NO(): FieldInfo;
    static get PARK_ID(): FieldInfo;
    static get PLATE_NO(): FieldInfo;
    static get CARD_NO(): FieldInfo;
    static get PARK_NAME(): FieldInfo;
    static get ENTRY_TIME(): FieldInfo;
    static get PAY_TIME(): FieldInfo;
    static get ELAPSED_TIME(): FieldInfo;
    static get TOTAL_AMOUNT(): FieldInfo;
    static get PAYABLE(): FieldInfo;
    static get DELAY_TIME(): FieldInfo;
    static get IMG_NAME(): FieldInfo;
    static get IMG_TYPE(): FieldInfo;
    static get IMG_INFO(): FieldInfo;
    static get CAR_TYPE(): FieldInfo;
    static get CAR_STYLE(): FieldInfo;
    static get CURRENCY_CODE(): FieldInfo;
    static get ORDER_TITLE(): FieldInfo;
    static get ORDER_DESC(): FieldInfo;
    static get TRAFFIC_ID(): FieldInfo;
    static get PAY_STATUS(): FieldInfo;
    static get BIZ_STATUS(): FieldInfo;
    static get EXT_JSON(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get STATE(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get DEDUCTION_AMOUNT(): FieldInfo;
    static get PAID_AMOUNT(): FieldInfo;
    static get OUT_ORDER_NO(): FieldInfo;
    static get ERROR_INFO(): FieldInfo;
    static get LOT_NAME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-28 17:19
 */
export interface LanguageText {
    /**
    *
    * @type { string }
    */
    id?: string;
    /**
    * 文本代码：同一个文本多种语言共用一个
    * @type { number }
    */
    textCode?: number;
    /**
    * 语言代码：
http://www.lingoes.cn/zh/translator/langcode.htm
    * @type { string }
    */
    languageCode?: string;
    /**
    * 文本内容
    * @type { string }
    */
    textValue?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 0-正常，1-删除
    * @type { number }
    */
    state?: number;
}
export declare class LanguageTextMI {
    static get ID(): FieldInfo;
    static get TEXT_CODE(): FieldInfo;
    static get LANGUAGE_CODE(): FieldInfo;
    static get TEXT_VALUE(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get STATE(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-28 17:19
 */
export interface UserMonthlyCard {
    /**
    * 唯一标识
    * @type { string }
    */
    id?: string;
    /**
    * 用户ID
    * @type { string }
    */
    userId?: string;
    /**
    * 月卡ID
    * @type { number }
    */
    cardId?: number;
    /**
    * 停车场ID
    * @type { number }
    */
    lotId?: number;
    /**
    * 卡片类型 0：临停车..云脑文档 1.6.2车牌类型枚举
    * @type { number }
    */
    cardType?: number;
    /**
    * 车牌号
    * @type { string }
    */
    carPlateNum?: string;
    /**
    * 开始日期
    * @type { Date }
    */
    validFrom?: Date;
    /**
    * 结束日期
    * @type { Date }
    */
    validTo?: Date;
    /**
    * 有效数值
    * @type { number }
    */
    validValue?: number;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 状态：0-正常，1-删除
    * @type { number }
    */
    state?: number;
    /**
    * extend field in ParkingLot
    *
    * @type { string }
    */
    lotName?: string;
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class UserMonthlyCardMI {
    static get ID(): FieldInfo;
    static get USER_ID(): FieldInfo;
    static get CARD_ID(): FieldInfo;
    static get LOT_ID(): FieldInfo;
    static get CARD_TYPE(): FieldInfo;
    static get CAR_PLATE_NUM(): FieldInfo;
    static get VALID_FROM(): FieldInfo;
    static get VALID_TO(): FieldInfo;
    static get VALID_VALUE(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get STATE(): FieldInfo;
    static get LOT_NAME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-28 17:19
 */
export interface User {
    /**
    *
    * @type { string }
    */
    id?: string;
    /**
    * 代码
    * @type { string }
    */
    code?: string;
    /**
    * 名称
    * @type { string }
    */
    name?: string;
    /**
    * 性别：0-未知, 1-男, 2-女
    * @type { number }
    */
    sex?: number;
    /**
    * 员工昵称
    * @type { string }
    */
    nickname?: string;
    /**
    * 员工头像url
    * @type { string }
    */
    avatar?: string;
    /**
    * 手机号
    * @type { string }
    */
    telephone?: string;
    /**
    * 身份证号
    * @type { string }
    */
    identityNo?: string;
    /**
    * 生日
    * @type { string }
    */
    birthDay?: string;
    /**
    * 密码
    * @type { string }
    */
    password?: string;
    /**
    * 电子邮件
    * @type { string }
    */
    email?: string;
    /**
    * 业务状态：0-正常，1-关闭
    * @type { number }
    */
    bizStatus?: number;
    /**
    *
    * @type { string }
    */
    createUserId?: string;
    /**
    *
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 状态：0-正常，1-删除
    * @type { number }
    */
    state?: number;
    /**
    * 用户使用语言
    * @type { string }
    */
    languageCode?: string;
    /**
    * 手机区域号
    * @type { string }
    */
    telephoneAreaCode?: string;
}
export declare class UserMI {
    static get ID(): FieldInfo;
    static get CODE(): FieldInfo;
    static get NAME(): FieldInfo;
    static get SEX(): FieldInfo;
    static get NICKNAME(): FieldInfo;
    static get AVATAR(): FieldInfo;
    static get TELEPHONE(): FieldInfo;
    static get IDENTITY_NO(): FieldInfo;
    static get BIRTH_DAY(): FieldInfo;
    static get PASSWORD(): FieldInfo;
    static get EMAIL(): FieldInfo;
    static get BIZ_STATUS(): FieldInfo;
    static get CREATE_USER_ID(): FieldInfo;
    static get UPDATE_USER_ID(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get STATE(): FieldInfo;
    static get LANGUAGE_CODE(): FieldInfo;
    static get TELEPHONE_AREA_CODE(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-28 17:19
 */
export interface ParkingLot {
    /**
    *
    * @type { number }
    */
    lotId?: number;
    /**
    *
    * @type { string }
    */
    lotName?: string;
    /**
    *
    * @type { Date }
    */
    createTime?: Date;
    /**
    *
    * @type { Date }
    */
    updateTime?: Date;
    /**
    *
    * @type { number }
    */
    state?: number;
    /**
    *
    * @type { string }
    */
    remark?: string;
    /**
    *
    * @type { number }
    */
    bizStatus?: number;
    /**
    * 总车位数
    * @type { number }
    */
    totalNum?: number;
    /**
    * 空闲车位数
    * @type { number }
    */
    freeSpaceNum?: number;
}
export declare class ParkingLotMI {
    static get LOT_ID(): FieldInfo;
    static get LOT_NAME(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get STATE(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get BIZ_STATUS(): FieldInfo;
    static get TOTAL_NUM(): FieldInfo;
    static get FREE_SPACE_NUM(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-28 17:19
 */
export interface ParkingLotAttr {
    /**
    * 唯一标识
    * @type { number }
    */
    id?: number;
    /**
    * 车场id
    * @type { number }
    */
    lotId?: number;
    /**
    *
    * @type { string }
    */
    attrName?: string;
    /**
    *
    * @type { string }
    */
    attrValue?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class ParkingLotAttrMI {
    static get ID(): FieldInfo;
    static get LOT_ID(): FieldInfo;
    static get ATTR_NAME(): FieldInfo;
    static get ATTR_VALUE(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-28 17:19
 */
export interface MainPageIconMenu {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 菜单标题
    * @type { string }
    */
    title?: string;
    /**
    * 图标url
    * @type { string }
    */
    imageUrl?: string;
    /**
    * 菜单url
    * @type { string }
    */
    menuUrl?: string;
    /**
    * 顺序号
    * @type { number }
    */
    sortIndex?: number;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 状态：0-正常，1-删除
    * @type { number }
    */
    state?: number;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
}
export declare class MainPageIconMenuMI {
    static get ID(): FieldInfo;
    static get TITLE(): FieldInfo;
    static get IMAGE_URL(): FieldInfo;
    static get MENU_URL(): FieldInfo;
    static get SORT_INDEX(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get STATE(): FieldInfo;
    static get REMARK(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-28 17:19
 */
export interface SystemParams {
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 参数名称
    * @type { string }
    */
    paramName?: string;
    /**
    * 参数值
    * @type { string }
    */
    paramValue?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
}
export declare class SystemParamsMI {
    static get ID(): FieldInfo;
    static get PARAM_NAME(): FieldInfo;
    static get PARAM_VALUE(): FieldInfo;
    static get REMARK(): FieldInfo;
}
